Csi.VolumeCapability.AccessMode.Mode (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: csi.v0, class: Csi, class: VolumeCapability, class: AccessMode, enum: Mode

Package csi.v0

# Enum Class Csi.VolumeCapability.AccessMode.Mode

java.lang.Object
java.lang.Enum<Csi.VolumeCapability.AccessMode.Mode>
csi.v0.Csi.VolumeCapability.AccessMode.Mode

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<Csi.VolumeCapability.AccessMode.Mode>`, `Constable`

Enclosing class:
  csi.v0.Csi.VolumeCapability.AccessMode

public static enum Csi.VolumeCapability.AccessMode.Mode extends Enum<Csi.VolumeCapability.AccessMode.Mode> implements com.google.protobuf.ProtocolMessageEnum
Protobuf enum `csi.v0.VolumeCapability.AccessMode.Mode`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MULTI_NODE_MULTI_WRITER`
  Can be published as read/write at multiple nodes simultaneously.
  `MULTI_NODE_READER_ONLY`
  Can be published as readonly at multiple nodes simultaneously.
  `MULTI_NODE_SINGLE_WRITER`
  Can be published at multiple nodes simultaneously.
  `SINGLE_NODE_READER_ONLY`
  Can only be published once as readonly on a single node, at any given time.
  `SINGLE_NODE_WRITER`
  Can only be published once as read/write on a single node, at any given time.
  `UNKNOWN`
  `UNKNOWN = 0;`
  `UNRECOGNIZED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MULTI_NODE_MULTI_WRITER_VALUE`
  Can be published as read/write at multiple nodes simultaneously.
  `static final int`
  `MULTI_NODE_READER_ONLY_VALUE`
  Can be published as readonly at multiple nodes simultaneously.
  `static final int`
  `MULTI_NODE_SINGLE_WRITER_VALUE`
  Can be published at multiple nodes simultaneously.
  `static final int`
  `SINGLE_NODE_READER_ONLY_VALUE`
  Can only be published once as readonly on a single node, at any given time.
  `static final int`
  `SINGLE_NODE_WRITER_VALUE`
  Can only be published once as read/write on a single node, at any given time.
  `static final int`
  `UNKNOWN_VALUE`
  `UNKNOWN = 0;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Csi.VolumeCapability.AccessMode.Mode`
  `forNumber(int value)`
  `static final com.google.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final com.google.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final com.google.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static com.google.protobuf.Internal.EnumLiteMap<Csi.VolumeCapability.AccessMode.Mode>`
  `internalGetValueMap()`
  `static Csi.VolumeCapability.AccessMode.Mode`
  `valueOf(int value)`
  Deprecated.
  `static Csi.VolumeCapability.AccessMode.Mode`
  `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static Csi.VolumeCapability.AccessMode.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Csi.VolumeCapability.AccessMode.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final Csi.VolumeCapability.AccessMode.Mode UNKNOWN
    `UNKNOWN = 0;`

  - ### SINGLE_NODE_WRITER

    public static final Csi.VolumeCapability.AccessMode.Mode SINGLE_NODE_WRITER

         Can only be published once as read/write on a single node, at
         any given time.

    `SINGLE_NODE_WRITER = 1;`

  - ### SINGLE_NODE_READER_ONLY

    public static final Csi.VolumeCapability.AccessMode.Mode SINGLE_NODE_READER_ONLY

         Can only be published once as readonly on a single node, at
         any given time.

    `SINGLE_NODE_READER_ONLY = 2;`

  - ### MULTI_NODE_READER_ONLY

    public static final Csi.VolumeCapability.AccessMode.Mode MULTI_NODE_READER_ONLY

         Can be published as readonly at multiple nodes simultaneously.

    `MULTI_NODE_READER_ONLY = 3;`

  - ### MULTI_NODE_SINGLE_WRITER

    public static final Csi.VolumeCapability.AccessMode.Mode MULTI_NODE_SINGLE_WRITER

         Can be published at multiple nodes simultaneously. Only one of
         the node can be used as read/write. The rest will be readonly.

    `MULTI_NODE_SINGLE_WRITER = 4;`

  - ### MULTI_NODE_MULTI_WRITER

    public static final Csi.VolumeCapability.AccessMode.Mode MULTI_NODE_MULTI_WRITER

         Can be published as read/write at multiple nodes
         simultaneously.

    `MULTI_NODE_MULTI_WRITER = 5;`

  - ### UNRECOGNIZED

    public static final Csi.VolumeCapability.AccessMode.Mode UNRECOGNIZED

- ## Field Details

  - ### UNKNOWN_VALUE

    public static final int UNKNOWN_VALUE
    `UNKNOWN = 0;`
    See Also:
      - Constant Field Values

  - ### SINGLE_NODE_WRITER_VALUE

    public static final int SINGLE_NODE_WRITER_VALUE

         Can only be published once as read/write on a single node, at
         any given time.

    `SINGLE_NODE_WRITER = 1;`
    See Also:
      - Constant Field Values

  - ### SINGLE_NODE_READER_ONLY_VALUE

    public static final int SINGLE_NODE_READER_ONLY_VALUE

         Can only be published once as readonly on a single node, at
         any given time.

    `SINGLE_NODE_READER_ONLY = 2;`
    See Also:
      - Constant Field Values

  - ### MULTI_NODE_READER_ONLY_VALUE

    public static final int MULTI_NODE_READER_ONLY_VALUE

         Can be published as readonly at multiple nodes simultaneously.

    `MULTI_NODE_READER_ONLY = 3;`
    See Also:
      - Constant Field Values

  - ### MULTI_NODE_SINGLE_WRITER_VALUE

    public static final int MULTI_NODE_SINGLE_WRITER_VALUE

         Can be published at multiple nodes simultaneously. Only one of
         the node can be used as read/write. The rest will be readonly.

    `MULTI_NODE_SINGLE_WRITER = 4;`
    See Also:
      - Constant Field Values

  - ### MULTI_NODE_MULTI_WRITER_VALUE

    public static final int MULTI_NODE_MULTI_WRITER_VALUE

         Can be published as read/write at multiple nodes
         simultaneously.

    `MULTI_NODE_MULTI_WRITER = 5;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static Csi.VolumeCapability.AccessMode.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Csi.VolumeCapability.AccessMode.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static Csi.VolumeCapability.AccessMode.Mode valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static Csi.VolumeCapability.AccessMode.Mode forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Csi.VolumeCapability.AccessMode.Mode> internalGetValueMap()

  - ### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static Csi.VolumeCapability.AccessMode.Mode valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null